For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Customer Transactions

Get customer transactions

get

Get customer transactions

This endpoint retrieves the details about all transactions of all widget's customers for all widgets of organization based on the provided ORGANIZATION_API_KEY.

Request

Headers

  • Authorization: Bearer {{ORGANIZATION_API_KEY}}

Query Params

  • limit: number

  • offset: number

  • customerId: string

  • widgetId: string

Response

  • Status: 200 OK

  • Content Type: application/json

Response Body

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
offsetintegerOptionalExample: 0
limitintegerOptionalExample: 5
widgetIdstringOptional
customerIdstringOptional
Responses
200

OK

application/json
Responseobject
get/v1/merchant/customer/incoming-transaction
GET /v1/merchant/customer/incoming-transaction HTTP/1.1
Host: {{base_url}}
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "data": {
    "transactions": [
      {
        "id": 52,
        "customerId": "6c998f55-e6c1-46a7-81c9-b0a37e7c5791",
        "address": "TBKpjzT2ENHMr1QD4tir1E7xWhb3bAEkCP",
        "asset": "TRX",
        "blockchain": "tron",
        "hash": "cmchp6f4t032agw016rsmmk0y",
        "amount": 10.919025,
        "sourceAddress": "TEvaN9pmFwn6CimujVfADysfTN4fyc5BkW",
        "status": "Completed",
        "currentConfirmation": 23,
        "targetConfirmations": 20
      },
      {
        "id": 51,
        "customerId": "27b4f808-be6c-4701-bff3-6eeaad8389e9",
        "address": "TXET3vPNZoS3rs1njfXtUj9wQrhoLUaLQs",
        "asset": "TRX",
        "blockchain": "tron",
        "hash": "cmchiz05g0193gw01qx57ejs0",
        "amount": 10.889536,
        "sourceAddress": "TEvaN9pmFwn6CimujVfADysfTN4fyc5BkW",
        "status": "Completed",
        "currentConfirmation": 21,
        "targetConfirmations": 20
      },
      {
        "id": 50,
        "customerId": "54c18bc5-70d3-45bd-81c2-e2bbaba27464",
        "address": "TTf28GEr2eGKAB5YnhnE1x38b9QB6CArSe",
        "asset": "TRX",
        "blockchain": "tron",
        "hash": "cmchfskm900cbgw0175m9z1j9",
        "amount": 9.067689,
        "sourceAddress": "TEvaN9pmFwn6CimujVfADysfTN4fyc5BkW",
        "status": "Completed",
        "currentConfirmation": 20,
        "targetConfirmations": 20
      },
      {
        "id": 49,
        "customerId": "54c18bc5-70d3-45bd-81c2-e2bbaba27464",
        "address": "TTf28GEr2eGKAB5YnhnE1x38b9QB6CArSe",
        "asset": "TRX",
        "blockchain": "tron",
        "hash": "1229425399h4z11m73w062nd21",
        "amount": 21.674526,
        "sourceAddress": "TT4NZHexV2JbUFoy1KHWUvkkrk11oGqzo6",
        "status": "Completed",
        "currentConfirmation": 20,
        "targetConfirmations": 20
      },
      {
        "id": 48,
        "customerId": "54c18bc5-70d3-45bd-81c2-e2bbaba27464",
        "address": "TTf28GEr2eGKAB5YnhnE1x38b9QB6CArSe",
        "asset": "TRX",
        "blockchain": "tron",
        "hash": "1229425399h4z11m13w062nd21",
        "amount": 21.674526,
        "sourceAddress": "TT4NZHexV2JbUFoy1KHWUvkkrk11oGqzo6",
        "status": "Completed",
        "currentConfirmation": 20,
        "targetConfirmations": 20
      }
    ],
    "total": 6
  }
}

Last updated